Name:           perl-Mock-Sub
Version:        1.09
Release:    2%{?dist}
Summary:        Mock package, object and standard subroutines, with unit testing in mind
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mock-Sub

Source0:        https://cpan.metacpan.org/authors/id/S/ST/STEVEB/Mock-Sub-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

BuildRequires:  perl(Carp)
BuildRequires:  perl(Scalar::Util)

BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Test::CheckManifest) >= 0.9
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(lib)


%description
Easy to use and very lightweight module for mocking out sub calls. Very
useful for testing areas of your own modules where getting coverage may
be difficult due to nothing to test against, and/or to reduce test run
time by eliminating the need to call subs that you really don't want or
need to test.

%prep
%setup -q -n Mock-Sub-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.09-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-1
- initial build
